Bug 1023461 - Workbench's usage of the term "repository" is ambiguous
Workbench's usage of the term "repository" is ambiguous
Status: NEW
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 09:17 EDT by Geoffrey De Smet
Modified: 2016-01-08 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-10-25 09:17:47 EDT
In the administration panel, "repository" means "VFS repository" which is equal to "Git repository".
In the Asset repository, "repository" means "Maven repository" which is very different to "Git repository".

All menu items and all labels should clearly state "VFS repository" or "Maven repository", never just "repository".

PS: the usage of the term "M2 repository" is outdated because Maven 3 also uses it. It's better just to name it "Maven repository" instead (no one will expect to find a maven 1 repository any more).
Comment 2 Lukáš Petrovický 2014-02-04 14:42:45 EST
QE considers this optional for 6.0.1.

Note You need to log in before you can comment on or make changes to this bug.